/*************************************************************************

  no_block.h

     Provides a command which simulates a non-blocking tclsh.

  Please direct any questions or comments to:

     Brian Starr
     bstarr@ics.uci.edu

  This code was created as part of the Cafe ConstructionKit project at
  the University of California, Irvine.  For more information on the
  Cafe ConstructionKit project, contact:

     Mark Ackerman
     vl@ics.uci.edu

  Release date:  v1.0 5/20/95

  Copyright (c) 1995 The Regents of the University of California.
  All rights reserved.
  
  Permission is hereby granted, without written agreement and without
  license or royalty fees, to use, copy, modify, and distribute this
  software and its documentation for any purpose, provided that the
  above copyright notice and the following two paragraphs appear in
  all copies of this software.
  
  IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
  DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
  OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF
  CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  
  THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
  ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
  PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
************************************************************************/

#ifndef _no_block_h
#define _no_block_h

#define Boolean int
#define True 1
#define False 0

typedef struct tcl_input {
	Tcl_DString command;
	Boolean		gotPartial;
	FILE*			file;
	Boolean		tty;
	Boolean		needs_prompt;
} tcl_input;

int no_block_CreateInput(Tcl_Interp*, char*, FILE*);
int no_block_Init(Tcl_Interp*);

#endif
/* Put nothing below this line */
